%define rel 1
%define subrel 1

Name: kate
Summary: Advanced text editor
Version: 4.8.5
Group: Editors 
Release: %mkrel %{rel}
Epoch: 2
License: GPLv2 and LGPLv2
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: pkgconfig(hunspell)
BuildRequires: pkgconfig(libxslt)
BuildRequires: subversion-devel
BuildRequires: binutils-devel
BuildRequires: boost-devel
BuildRequires: libltdl-devel
BuildRequires: antlr-tool
BuildRequires: antlr-C++

Requires: konsole >= 1:%version
Requires: katepart = %epoch:%version-%release
Requires: ktexteditor = %epoch:%version-%release
Suggests: kate-handbook
Conflicts: kdelibs4-core < 2:4.6.90

%description
A fast and advanced text editor with nice plugins for KDE 4.

%files
%_kde_bindir/kate
%_kde_bindir/ktesnippets_editor
%_kde_libdir/libkdeinit4_kate.so
%_kde_libdir/kde4/katebacktracebrowserplugin.so
%_kde_libdir/kde4/katefilebrowserplugin.so
%_kde_libdir/kde4/katefiletemplates.so
%_kde_libdir/kde4/kategdbplugin.so
%_kde_libdir/kde4/katekonsoleplugin.so
%_kde_libdir/kde4/katemailfilesplugin.so
%_kde_libdir/kde4/kateopenheaderplugin.so
%_kde_libdir/kde4/katequickdocumentswitcherplugin.so
%_kde_libdir/kde4/katesearchplugin.so
%_kde_libdir/kde4/katesymbolviewerplugin.so
%_kde_libdir/kde4/katetabbarextensionplugin.so
%_kde_libdir/kde4/katetextfilterplugin.so
%_kde_libdir/kde4/plasma_applet_katesession.so
%_kde_libdir/kde4/katebuildplugin.so
%_kde_libdir/kde4/katectagsplugin.so
%_kde_libdir/kde4/kate_kttsd.so
%_kde_libdir/kde4/katexmlcheckplugin.so
%_kde_libdir/kde4/katesnippets_tngplugin.so
%_kde_libdir/kde4/katetabifyplugin.so
%_kde_libdir/kde4/katexmltoolsplugin.so
%_kde_libdir/kde4/katefiletreeplugin.so
%_kde_libdir/kde4/katesqlplugin.so
%_kde_applicationsdir/kate.desktop
%_kde_applicationsdir/ktesnippets_editor.desktop
%_kde_appsdir/kate
%_kde_appsdir/katexmltools
%_kde_appsdir/kconf_update/kate-2.4.upd
%_kde_appsdir/ktexteditor_snippets
%_kde_configdir/ktexteditor_codesnippets_core.knsrc
%_kde_configdir/katefiletemplates.knsrc
%_kde_configdir/katemoderc
%_kde_configdir/katerc
%_kde_datadir/mime/packages/ktesnippets.xml
%_kde_iconsdir/hicolor/*/apps/kate.png
%_kde_iconsdir/hicolor/scalable/apps/kate.svgz
%_kde_iconsdir/oxygen/16x16/actions/*.png
%_kde_services/katebacktracebrowserplugin.desktop
%_kde_services/katefilebrowserplugin.desktop
%_kde_services/katefiletemplates.desktop
%_kde_services/kategdbplugin.desktop
%_kde_services/katekonsoleplugin.desktop
%_kde_services/katemailfilesplugin.desktop
%_kde_services/kateopenheader.desktop
%_kde_services/katequickdocumentswitcher.desktop
%_kde_services/katesearch.desktop
%_kde_services/katesymbolviewer.desktop
%_kde_services/katetabbarextension.desktop
%_kde_services/katetextfilter.desktop
%_kde_services/plasma-applet-katesession.desktop
%_kde_services/katebuildplugin.desktop
%_kde_services/katectagsplugin.desktop
%_kde_services/kate_kttsd.desktop
%_kde_services/katexmlcheck.desktop
%_kde_services/katesnippets_tngplugin.desktop
%_kde_services/katetabifyplugin.desktop
%_kde_services/katexmltools.desktop
%_kde_services/katesql.desktop
%_kde_services/katefiletreeplugin.desktop
%_kde_servicetypes/kateplugin.desktop

#------------------------------------------------------------------------------

%package handbook
Summary: Kate handbook
BuildArch: noarch
Conflicts: kate < 1:4.7.2
Requires:  kate >= %{epoch}:%{version}-%{release}
Group: Books/Other 
%description handbook
This package provides kate handbook

%files handbook
%doc kate/COPYING.LIB kate/AUTHORS
%doc %_kde_docdir/HTML/en/kate
%_kde_mandir/man1/kate.1.*

#------------------------------------------------------------------------------

%package -n katepart
Summary: Kate KPart
Group: Graphical desktop/KDE
Conflicts: kdelibs4-core < 2:4.6.90

%description -n katepart
This package contains the Kate KPart component.

%files -n katepart
%_kde_libdir/kde4/katepart.so
%_kde_appsdir/katepart
%_kde_configdir/katepartpluginsrc
%_kde_services/katepart.desktop

#------------------------------------------------------------------------------

%package -n kwrite
Summary: Simple text editor for KDE 4
Group: Editors 
Requires: kdebase4-runtime
Requires: katepart = %{epoch}:%{version}-%{release}
Suggests: kate-extensions
Suggests: kwrite-handbook
%description -n kwrite
KWrite is a text editor for KDE, based on the Kate's editor component.
Features :
    Syntax highlighting according to the file type
    Word completion
    Auto-identation
    Plugin support
    Vi input mode

%files -n kwrite
%_kde_bindir/kwrite
%_kde_libdir/libkdeinit4_kwrite.so
%_kde_applicationsdir/kwrite.desktop
%_kde_appsdir/kwrite

#------------------------------------------------------------------------------

%package -n kwrite-handbook
Summary: Kwrite handbook
Conflicts: kwrite < 1:4.7.1
Requires:  kwrite >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Books/Other 
%description -n kwrite-handbook
This package provides Kwrite handbook

%files -n kwrite-handbook
%doc %_kde_docdir/HTML/en/kwrite

#------------------------------------------------------------------------------

%package -n ktexteditor
Summary: Ktexteditor interfaces
Group: Graphical desktop/KDE
Obsoletes: kate-extensions < 2:4.7.4-1
Conflicts: kate < 2:4.8.4-1.2

%description -n ktexteditor
The KTextEditor interfaces - also called KTE interfaces - are a set of
well-defined interfaces which an application or library can implement to provide
advanced plain text editing services.

%files -n ktexteditor
%_kde_libdir/kde4/ktexteditor_acomment.so
%_kde_libdir/kde4/ktexteditor_autobrace.so
%_kde_libdir/kde4/ktexteditor_exporter.so
%_kde_libdir/kde4/ktexteditor_hlselection.so
%_kde_libdir/kde4/ktexteditor_iconinserter.so
%_kde_libdir/kde4/ktexteditor_insanehtml_le.so
%_kde_libdir/kde4/ktexteditor_insertfile.so
%_kde_libdir/kde4/ktexteditor_kdatatool.so
%_kde_libdir/kde4/ktexteditor_python-encoding.so
%_kde_appsdir/ktexteditor_exporter/
%_kde_appsdir/ktexteditor_iconinserter/
%_kde_appsdir/ktexteditor_insanehtml_le/
%_kde_appsdir/ktexteditor_insertfile/
%_kde_appsdir/ktexteditor_kdatatool/
%_kde_appsdir/ktexteditor_acomment/
%_kde_datadir/config/artisticcommentrc
%_kde_services/ktexteditor_acomment.desktop
%_kde_services/ktexteditor_autobrace.desktop
%_kde_services/ktexteditor_autobrace_config.desktop
%_kde_services/ktexteditor_exporter.desktop
%_kde_services/ktexteditor_hlselection.desktop
%_kde_services/ktexteditor_iconinserter.desktop
%_kde_services/ktexteditor_insanehtml_le.desktop
%_kde_services/ktexteditor_insertfile.desktop
%_kde_services/ktexteditor_kdatatool.desktop
%_kde_services/ktexteditor_python-encoding.desktop
%_kde_iconsdir/hicolor/scalable/apps/ktexteditorautobrace.svgz

#------------------------------------------------------------------------------

%define  kateinterfaces_major 4
%define  libkateinterfaces %mklibname kateinterfaces %kateinterfaces_major

%package -n %libkateinterfaces
Summary:    Runtime library for Kate
Group:      System/Libraries

%description -n %libkateinterfaces
Runtime library for Kate.

%files -n %libkateinterfaces
%_kde_libdir/libkateinterfaces.so.%{kateinterfaces_major}*

#------------------------------------------------------------------------------

%define libkatepartinterfaces_major 4
%define libkatepartinterfaces %mklibname katepartinterfaces %{libkatepartinterfaces_major}

%package -n %libkatepartinterfaces
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkatepartinterfaces
Runtime library for Kate.

%files -n %libkatepartinterfaces
%_kde_libdir/libkatepartinterfaces.so.%{libkatepartinterfaces_major}*

#------------------------------------------------------------------------------

%define ktexteditor_codesnipets_major 0
%define libktexteditor_codesnipets %mklibname ktexteditor-codesnippets %{ktexteditor_codesnipets_major}

%package -n %libktexteditor_codesnipets
Summary: Ktexteditory Library
Group:  System/Libraries
Obsoletes: %{mklibname ktexteditor_codesnippets_core 0} < 1:4.6.90

%description -n %libktexteditor_codesnipets
Ktexteditory codesnipets library.

%files -n %libktexteditor_codesnipets
%_kde_libdir/libktexteditor_codesnippets_core.so.%{ktexteditor_codesnipets_major}*

#------------------------------------------------------------------------------

%package    devel
Summary:    Header files for kate
Group:      Development/KDE and Qt
Requires: pkgconfig(hunspell)
Requires: pkgconfig(libxslt)
Requires: subversion-devel
Requires: binutils-devel
Requires: boost-devel
Requires: libltdl-devel
Requires: antlr-tool
Requires: antlr-C++
Requires: %libkateinterfaces = %epoch:%version
Requires: %libktexteditor_codesnipets = %epoch:%version
Requires: %libkatepartinterfaces = %epoch:%version

Conflicts: kdesdk4-devel < 1:4.6.90
Conflicts: kdelibs4-devel < 2:4.6.90

%description  devel
This package includes the header files you will need to compile applications
against kate.

%files devel
%_kde_includedir/*
%_kde_libdir/libkateinterfaces.so
%_kde_libdir/libkatepartinterfaces.so
%_kde_libdir/libktexteditor_codesnippets_core.so

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

# Remove static libs
rm -rf %{buildroot}/%{_kde_libdir}/libacomment.a


%changelog

* Mon Aug 06 2012 mikala <mikala> 2:4.8.5-1.1.mga2
+ Revision: 279081
- Update tarball to KDE SC 4.8.5
- Fix duplicates files in kate & ktexteditor noticed by Luc Menut
- Update tarball to 4.8.4
- Add missing requires on handbooks subpackage

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228434
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221468
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198158
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-0.mga2
+ Revision: 190938
- Update tarball to KDE 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185805
- Update tarball to KDE 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-0.mga2
+ Revision: 181884
- Update tarball to kde 4.7.90
- use gold as linker
- fix files list

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176487
- Remove kate-extensions package (redundant with ktexteditor)
- Update tarball to KDE SC 4.7.4

* Tue Nov 01 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161098
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151932
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140625
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Remove kdelibs4-devel as requires for -devel package (already done by autoreqpov)
- Update tarball to KDE SC 4.7.0
- use pkgconfig() for buildrequires
- Fix License tag
- remove %%defattr
- Fix files list

  + lmenut <lmenut>
    - Replace conflicts by obsoletes on lib*ktexteditor_codesnippets_core0 to proper upgrades

* Tue Jul 12 2011 mikala <mikala> 2:4.6.95-1.mga2
+ Revision: 123434
- Fix file list for kate-extensions

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122303
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Sun Jul 03 2011 ahmad <ahmad> 2:4.6.90-4.mga2
+ Revision: 117656
- Split the extensions in a separate pacakge and make kwrite suggest it
- Add conflicts on lib*ktexteditor_codesnippets_core0 to ease upgrades

* Wed Jun 29 2011 ahmad <ahmad> 2:4.6.90-3.mga2
+ Revision: 115996
- Split katepart in its own sub-package
- The main package and kwrite require katepart, respectively

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-2.mga2
+ Revision: 115701
- Add conflicts against kdesdk4
- Fix License
- Add conflicts against kdelibs4-core
- Clean spec
- Add more requires on the -devel package
- imported package kate

  + fwang <fwang>
    - add group for ktexteditor
    - bump epoch for libkatepartinterfaces
    - add conflicts on older packages

